//CFreeHUD - [2020-04-13 11:57:46]
#ifndef _CFREEHUD_H_
#define _CFREEHUD_H_

#include "CStoryTutorial.h"
#include "CUITileManager.h"
/*
001D5E84 CFreeHUD::Init()
001D5EC4 CFreeHUD::Shutdown()
001D5F00 CFreeHUD::MultiLevelWarningCB(int,void *)
001D5F1C CFreeHUD::InitTutorial()
001D5FA4 CFreeHUD::InitTutorial(EStoryTutorial)
001D5FD8 CFreeHUD::ShutdownAnimation()
001D5FF0 CFreeHUD::Process()
001D61D8 CFreeHUD::RenderButton(THUDButton *)
001D64D4 CFreeHUD::RenderReplayHUD()
001D6534 CFreeHUD::Render()
001D6568 CFreeHUD::SetupGoldenBootPurchase()
*/

struct THUDButton {
  int un_0;
};

class CFreeHUD {
public:
  static void Init();                     //001D5E84
  static void Shutdown();                        //001D5EC4
  void MultiLevelWarningCB(int, void *);  //001D5F00
  static void InitTutorial();                    //001D5F1C
  void InitTutorial(EStoryTutorial);      //001D5FA4
  void ShutdownAnimation();               //001D5FD8
  static int Process();                         //001D5FF0
  void RenderButton(THUDButton *);        //001D61D8
  static void RenderReplayHUD();                 //001D64D4
  void Render();                          //001D6534
  void SetupGoldenBootPurchase();         //001D6568

  static CStoryTutorial* ms_pAnimations;
  static CUITileManager *ms_pTileManager;;
 static bool ms_bEnteredShop;

};

#endif  //_CFREEHUD_H_